/*======================================================
Owen Dover
C20224779
11/10/2022
CPSC 1011 Section 005
Lab 10B

Header file for lab 10B containing all structs and
function prototypes used in program
======================================================*/
//libraries
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

//header struct
typedef struct info{
        char type[3];
        int width;
        int height;
        int maxColor;
    }info_t;

//pixel struct
typedef struct rgb{
        unsigned int r;
        unsigned int g;
        unsigned int b;
    }rgb_t;

//function prototypes
info_t getHeader();
void writeHeader(info_t headerInfo);
void fillImageArray(rgb_t *pixels, int max);
void writePixels(rgb_t *pixels, int max);
void halfSizeWritePixels(rgb_t *pixels, int height, int width);